<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Update wishlist</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>

<form th:method="PATCH" th:action="@{/recipedetails/{id}(id=${recipedetails.getId()})}" th:object="${recipedetails}">
    <label for="recipe">Recipe: </label>
    <select th:field="*{recipe}" id="recipe">
        <option th:each="recipe : ${recipe}" th:value="${recipe.getId()}" th:text="${recipe.getName()}">
        </option>
    </select>
    <div style="color:red" th:if="${#fields.hasErrors('recipe')}" th:errors="*{recipe}">Recipe Error</div>
    <br/>

    <label for="product">Product: </label>
    <select th:field="*{product}" id="product">
        <option th:each="product : ${product}" th:value="${product.getId()}" th:text="${product.getName()}">
        </option>
    </select>
    <div style="color:red" th:if="${#fields.hasErrors('product')}" th:errors="*{product}">Product Error</div>
    <br/>

    <label for="name">Amount: </label>
    <input type="text" th:field="*{amount}" id="name"/>
    <div style="color:red" th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}">Amount Error</div>
    <br/>

    <input type="submit" value="Save"/>
</form>

<div th:if="${recipedetails.getId()}">
    <form th:method="DELETE" th:action="@{/recipedetails/{id}(id=${recipedetails.getId()})}">
        <input type="submit" value="Delete"/>
    </form>
</div>

</body>
</html>